$(function() {
  $( "#dialog_new" ).dialog({
    autoOpen: false,
	modal: true
  });
  $( ".new_opportunite" ).click(function() {
    $( "#dialog_new" ).dialog( "open" );
  });
  $( "#dialog_edit" ).dialog({
    autoOpen: false,
	modal: true,
	width: 400
  });
  $( ".edit_opportunite" ).click(function() {
    $('form[name="edit"] input[name="NoOpportunite"]').val($(this).attr("noOpportunite"));
    $('form[name="delete"] input[name="NoOpportunite"]').val($(this).attr("noOpportunite"));
    $.getJSON( "edit_opportunite.php?noOpportunite=" + $(this).attr("noOpportunite"), function( data ) {
	  $('form[name="edit"] select[name="TypeOpportunite"]').val(data.Type);
	  $('form[name="edit"] select[name="StatutOpportunite"]').val(data.Statut);
	  $('form[name="edit"] input[name="NoClient"]').val(data.NoClient);
	  $('form[name="edit"] input[name="Nom"]').val(data.Nom);
	  $('form[name="edit"] input[name="Prenom"]').val(data.Prenom);
	  $('form[name="edit"] input[name="Date"]').val(data.Date);
	  $('form[name="edit"] input[name="PersonneContact"]').val(data.PersonneContact);
	  $('form[name="edit"] input[name="DateSuivi"]').val(data.DateProchainSuivit);
	  $('form[name="edit"] textarea[name="Description"]').val(data.Description);
	  $('form[name="edit"] input[name="NbSuivis"]').val(data.Suivis.length);
	  $('#TableSuivis tr').remove();
	  $('#TableSuivis').append('<tr><th>Date / Personne</th><th>Description</th></tr>');
	  for (var i=0;i<data.Suivis.length;i++)
	  {
		$('#TableSuivis').append('<tr><td><input type="text" class="suivi_date" maxlength="8" name="suivi_date_' + i +'" value="' + data.Suivis[i].Date + '"/><br/><input type="text" name="suivi_personne_' + i +'" value="' + data.Suivis[i].PersonneContact + '"/></td><td><textarea cols="40" rows="5" name="suivi_description_' + i +'">' + data.Suivis[i].Commentaire + '</textarea></td></tr>');
	  }
	  $('form[name="edit"] input.suivi_date').val($.datepicker.formatDate('dd.mm.yy', new Date()));
      $('form[name="edit"] input.suivi_date').datepicker($.datepicker.regional[ "fr-CH" ]);
	  $("#AjouterSuivi").show();
      $( "#dialog_edit" ).dialog( "open" );
    });    
  });
  $("#AjouterSuivi").click(function() {
    $(this).hide();
    $('#TableSuivis').append('<tr><td><input type="text" maxlength=\"8\" name=\"suivi_date_new\"/><br/><input type="text" name=\"suivi_personne_new\"/></td><td><textarea cols="40" rows="5" name=\"suivi_description_new\"></textarea></td></tr>');
	$('form[name="edit"] input[name="suivi_date_new"]').val($.datepicker.formatDate('dd.mm.yy', new Date()));
    $('form[name="edit"] input[name="suivi_date_new"]').datepicker($.datepicker.regional[ "fr-CH" ]);
  });
  $('form[name="new"] input[name="Date"]').datepicker($.datepicker.regional[ "fr-CH" ]);
  $('form[name="new"] input[name="DateSuivi"]').datepicker($.datepicker.regional[ "fr-CH" ]);
  $('form[name="edit"] input[name="Date"]').datepicker($.datepicker.regional[ "fr-CH" ]);
  $('form[name="edit"] input[name="DateSuivi"]').datepicker($.datepicker.regional[ "fr-CH" ]);
});
function dialog_delete_opportunite()
{
  var dialog = $('#dialog');
  dialog.html("Voulez-vous vraiment supprimer cette opportunité ?");
  dialog.dialog({
    resizable: false,
    height:140,
	title:"Supprimer une opprotunité",
    buttons: {
      "Oui": function() {
        $('form[name="delete"]').submit();
      },
      "Non": function() {
        $( this ).dialog( "close" );
      }
    }
  });
  dialog.dialog( "open" );
}